<!-- templates/index.html -->
{% extends 'base.html' %}

{% block title %}Data Training{% endblock %}

{% block pages %}Data Training{% endblock %}

<!-- Data Menu -->
{% block home %}-{% endblock %}
{% block matkul %}-{% endblock %}
{% block topik %}-{% endblock %}
{% block mahasiswa %}-{% endblock %}
{% block training %}active{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title">Form Input Data Training</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="POST" action="{{ url_for('add_training_route') }}">
              <div class="card-body">
                <div class="form-group">
                  <label for="exampleInputPassword1">Nama Mahasiswa</label>
                  <input type="text" name="nama" class="form-control" placeholder="Nama Mahasiswa">
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">NIM Mahasiswa</label>
                  <input type="text" name="nim" class="form-control" placeholder="NIM Mahasiswa">
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">Topik Tugas Akhir</label>
                  <select id="topik_id" name="topik_id" class="form-control" required>
                    <option value="">Pilih Topik Tugas Akhir</option>
                    {% for topik in topiks %}
                        <option value="{{ topik.id }}">{{ topik.nama }}</option>
                    {% endfor %}
                </select>
                </div>
              </div>
              <!-- /.card-body -->

              <div class="card-footer">
                <button type="submit" class="btn btn-primary">Simpan</button>
              </div>
            </form>
          </div>
        <div class="card">
            <div class="card-header">
              <h3 class="card-title">Tabel Data Training</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th style="width: 5%;">No</th>
                  <th>Nama Mahasiswa</th>
                  <th>NIM</th>
                  <th>Topik Tugas Akhir</th>
                  <th style="width: 18%;">Actions</th>
                </tr>
                </thead>
                <tbody>
                  {% for training, topik in trainings %}
                  <tr>
                    <td>{{ training.id }}</td>
                    <td>{{ training.nama }}</td>
                    <td>{{ training.nim }}</td>
                    <td>{{ topik.nama }}</td>
                    <td>
                      <a class="btn btn-primary btn-sm" href="{{ url_for('edit_training_route', training_id=training.id) }}">Edit atau Update Nilai</a>  
                      <a class="btn btn-danger btn-sm" href="{{ url_for('delete_training_route', training_id=training.id) }}">Delete</a></td>
                  </tr>
                  {% endfor %}
                </tbody>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>


{% endblock %}